Main Content

Supported Third-Party Tools for Texas Instruments C2000 Processors

CCS versions supported for MATLAB

MATLAB VersionCSS Supported VersionVerified CCS Version Verified C2000WareVerified Code Generation Tools (CGT)
MATLAB 9.2 (R2017b)CCSv3 to CCSv7Code Composer Studio v7.2C2000Ware 1.00.01.00CGT 16.9.2
MATLAB 9.4 (R2018a)
MATLAB 9.5 (R2018b)CCSv3 to CCSv8Code Composer Studio v8C2000Ware 1.00.05.00CGT 16.9.2
MATLAB 9.6 (R2019a)CCSv3 to CCSv8Code Composer Studio v8.2C2000Ware 1.00.06.00CGT 16.9.9
MATLAB 9.7 (R2019b)CCSv3 to CCSv9Code Composer Studio v9.1 C2000Ware 2.00.00.02CGT 18.12.2
MATLAB 9.8 (R2020a)
MATLAB 9.9 (R2020b)
MATLAB 9.10 (R2021a)CCSv3 to CCSv10Code Composer Studio v10.1C2000Ware 3.2.0.0TI C28x CGT 20.2.1 and TI ARM CGT 20.2.1
MATLAB 9.11 (R2021b)CCSv3 to CCSv10Code Composer Studio v10.2C2000Ware 3.3.0.0TI C28x CGT 20.2.1 and TI ARM CGT 20.2.1
MATLAB 9.12 (R2022a)CCSv3 to CCSv10Code Composer Studio v11.0C2000Ware 4.0.0.0TI C28x CGT 20.2.1 and TI ARM CGT 20.2.1

The C2000 support package supports CCS v3.3 and the later versions. However, CCS v3.3 does not support auto-download feature.

Install the Code Composer Studio (CCS) version that supports your hardware board. For example, install CCS v6 or later versions to work on Texas Instruments C2000 F2807x, Texas Instruments C2000 F2837xD, and Texas Instruments C2000 F2837xS processors. Install CCS v9 and later versions to work on Texas Instruments C2000 F2838x.

Related Topics